Subject: [alpine-aports] [PATCH] testing/sdl2: new aport

From: AmatCoder <[email-masked]>
Date: Fri, 12 Jun 2015 08:27:00 +0000

---
 testing/sdl2/APKBUILD | 52 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)
 create mode 100644 testing/sdl2/APKBUILD

diff --git a/testing/sdl2/APKBUILD b/testing/sdl2/APKBUILD
new file mode 100644
index 0000000..edd9fed
--- /dev/null
+++ b/testing/sdl2/APKBUILD
@@ -0,0 +1,52 @@
+# Contributor: August Klein <[email-masked]>
+# Maintainer: August Klein <[email-masked]>
+pkgname=sdl2
+pkgver=2.0.3
+pkgrel=0
+_pkgname=SDL2
+pkgdesc="A development library designed to provide low level access to audio, keyboard, mouse, joystick and graphics"
+url="http://www.libsdl.org"
+arch="all"
+license="zlib"
+depends=""
+depends_dev="alsa-lib-dev libxcursor-dev libxrandr-dev libxrender-dev mesa-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="https://www.libsdl.org/release/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--enable-alsa \
+		--disable-arts \
+		--disable-esd \
+		--disable-nas \
+		--with-x \
+		--disable-rpath \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="fe6c61d2e9df9ef570e7e80c6e822537  SDL2-2.0.3.tar.gz"
+sha256sums="a5a69a6abf80bcce713fa873607735fe712f44276a7f048d60a61bb2f6b3c90c  SDL2-2.0.3.tar.gz"
+sha512sums="b6d2485154fbc07ab86a4305485e116d35fac25a97033b9e1c65ee0eb8251a18209cb1de3a914d9c0ddc53aa1ffac66c865b111d218e79eb5a10ed00dfec7540  SDL2-2.0.3.tar.gz"
-- 
2.4.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---